kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mj...@apache.org
Subject [kafka] branch trunk updated: KAFKA-8155: Add 2.2.0 release to system tests (#6597)
Date Tue, 04 Jun 2019 04:10:14 GMT
This is an automated email from the ASF dual-hosted git repository.

mjsax pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/trunk by this push:
     new ba3dc49  KAFKA-8155: Add 2.2.0 release to system tests (#6597)
ba3dc49 is described below

commit ba3dc494371145e8ad35d6b85f45b8fe1e44c21f
Author: Matthias J. Sax <matthias@confluent.io>
AuthorDate: Mon Jun 3 21:09:58 2019 -0700

    KAFKA-8155: Add 2.2.0 release to system tests (#6597)
    
    Reviewers: Bill Bejeck <bill@confluent.io>, Boyang Chen <boyang@confluent.io>,
Bruno Cadonna <bruno@confluent.io>, Guozhang Wang <guozhang@confuent.io>
---
 build.gradle                                                 | 12 ++++++++++++
 gradle/dependencies.gradle                                   |  2 ++
 settings.gradle                                              |  1 +
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  5 +----
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  5 +----
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  5 +----
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  5 +----
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  3 +--
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  3 +--
 .../org/apache/kafka/streams/tests/StreamsUpgradeTest.java   |  7 +++----
 tests/docker/Dockerfile                                      |  1 +
 tests/kafkatest/services/streams.py                          |  5 +++--
 tests/kafkatest/tests/streams/streams_upgrade_test.py        |  6 ++++--
 13 files changed, 32 insertions(+), 28 deletions(-)

diff --git a/build.gradle b/build.gradle
index 516a06c..42cacb0 100644
--- a/build.gradle
+++ b/build.gradle
@@ -1363,6 +1363,18 @@ project(':streams:upgrade-system-tests-21') {
   }
 }
 
+project(':streams:upgrade-system-tests-22') {
+  archivesBaseName = "kafka-streams-upgrade-system-tests-22"
+
+  dependencies {
+    testCompile libs.kafkaStreams_22
+  }
+
+  systemTestLibs {
+    dependsOn testJar
+  }
+}
+
 project(':jmh-benchmarks') {
 
   apply plugin: 'com.github.johnrengelman.shadow'
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index d58d067..c912def 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -79,6 +79,7 @@ versions += [
   kafka_11: "1.1.1",
   kafka_20: "2.0.1",
   kafka_21: "2.1.1",
+  kafka_22: "2.2.0",
   lz4: "1.6.0",
   mavenArtifact: "3.6.1",
   metrics: "2.2.0",
@@ -143,6 +144,7 @@ libs += [
   kafkaStreams_11: "org.apache.kafka:kafka-streams:$versions.kafka_11",
   kafkaStreams_20: "org.apache.kafka:kafka-streams:$versions.kafka_20",
   kafkaStreams_21: "org.apache.kafka:kafka-streams:$versions.kafka_21",
+  kafkaStreams_22: "org.apache.kafka:kafka-streams:$versions.kafka_22",
   log4j: "log4j:log4j:$versions.log4j",
   lz4: "org.lz4:lz4-java:$versions.lz4",
   metrics: "com.yammer.metrics:metrics-core:$versions.metrics",
diff --git a/settings.gradle b/settings.gradle
index b2814b1..c7e51e2 100644
--- a/settings.gradle
+++ b/settings.gradle
@@ -37,4 +37,5 @@ include 'clients',
     'streams:upgrade-system-tests-11',
     'streams:upgrade-system-tests-20',
     'streams:upgrade-system-tests-21',
+    'streams:upgrade-system-tests-22',
     'tools'
diff --git a/streams/upgrade-system-tests-0102/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-0102/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index c113bd4..fa85552 100644
--- a/streams/upgrade-system-tests-0102/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-0102/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -30,13 +30,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-    /**
-     * This test cannot be executed, as long as Kafka 0.10.2.2 is not released
-     */
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-0110/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-0110/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 7df30a7..efb96ff 100644
--- a/streams/upgrade-system-tests-0110/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-0110/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -30,13 +30,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-    /**
-     * This test cannot be executed, as long as Kafka 0.11.0.3 is not released
-     */
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-10/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-10/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 163b94b..6f63f8d 100644
--- a/streams/upgrade-system-tests-10/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-10/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -30,13 +30,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-    /**
-     * This test cannot be executed, as long as Kafka 1.0.2 is not released
-     */
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-11/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-11/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 5f4c218..b5759f5 100644
--- a/streams/upgrade-system-tests-11/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-11/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -30,13 +30,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-    /**
-     * This test cannot be executed, as long as Kafka 1.1.1 is not released
-     */
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 0b4939c..d963e4a 100644
--- a/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -29,11 +29,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-21/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-21/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 797c1e8..6e409a0 100644
--- a/streams/upgrade-system-tests-21/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-21/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -29,11 +29,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
diff --git a/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
b/streams/upgrade-system-tests-22/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
similarity index 93%
copy from streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
copy to streams/upgrade-system-tests-22/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
index 0b4939c..7ff4d81 100644
--- a/streams/upgrade-system-tests-20/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
+++ b/streams/upgrade-system-tests-22/src/test/java/org/apache/kafka/streams/tests/StreamsUpgradeTest.java
@@ -29,11 +29,10 @@ import java.util.Properties;
 
 public class StreamsUpgradeTest {
 
-
     @SuppressWarnings("unchecked")
     public static void main(final String[] args) throws Exception {
         if (args.length < 2) {
-            System.err.println("StreamsUpgradeTest requires three argument (kafka-url, properties-file)
but only " + args.length + " provided: "
+            System.err.println("StreamsUpgradeTest requires two argument (kafka-url, properties-file)
but only " + args.length + " provided: "
                 + (args.length > 0 ? args[0] : ""));
         }
         final String kafka = args[0];
@@ -41,7 +40,7 @@ public class StreamsUpgradeTest {
 
         final Properties streamsProperties = Utils.loadProps(propFileName);
 
-        System.out.println("StreamsTest instance started (StreamsUpgradeTest v2.0)");
+        System.out.println("StreamsTest instance started (StreamsUpgradeTest v2.2)");
         System.out.println("kafka=" + kafka);
         System.out.println("props=" + streamsProperties);
 
@@ -72,7 +71,7 @@ public class StreamsUpgradeTest {
 
             @Override
             public void init(final ProcessorContext context) {
-                System.out.println("[2.0] initializing processor: topic=data taskId=" + context.taskId());
+                System.out.println("[2.2] initializing processor: topic=data taskId=" + context.taskId());
                 numRecordsProcessed = 0;
             }
 
diff --git a/tests/docker/Dockerfile b/tests/docker/Dockerfile
index 665dc27..8218823 100644
--- a/tests/docker/Dockerfile
+++ b/tests/docker/Dockerfile
@@ -65,6 +65,7 @@ RUN curl -s "$KAFKA_MIRROR/kafka-streams-1.0.2-test.jar" -o /opt/kafka-1.0.2/lib
 RUN curl -s "$KAFKA_MIRROR/kafka-streams-1.1.1-test.jar" -o /opt/kafka-1.1.1/libs/kafka-streams-1.1.1-test.jar
 RUN curl -s "$KAFKA_MIRROR/kafka-streams-2.0.1-test.jar" -o /opt/kafka-2.0.1/libs/kafka-streams-2.0.1-test.jar
 RUN curl -s "$KAFKA_MIRROR/kafka-streams-2.1.1-test.jar" -o /opt/kafka-2.1.1/libs/kafka-streams-2.1.1-test.jar
+RUN curl -s "$KAFKA_MIRROR/kafka-streams-2.2.0-test.jar" -o /opt/kafka-2.2.0/libs/kafka-streams-2.2.0-test.jar
 
 # The version of Kibosh to use for testing.
 # If you update this, also update vagrant/base.sy
diff --git a/tests/kafkatest/services/streams.py b/tests/kafkatest/services/streams.py
index b606267..5e2c2e9 100644
--- a/tests/kafkatest/services/streams.py
+++ b/tests/kafkatest/services/streams.py
@@ -21,7 +21,8 @@ from ducktape.utils.util import wait_until
 from kafkatest.directory_layout.kafka_path import KafkaPathResolverMixin
 from kafkatest.services.kafka import KafkaConfig
 from kafkatest.services.monitor.jmx import JmxMixin
-from kafkatest.version import LATEST_0_10_0, LATEST_0_10_1, LATEST_0_10_2, LATEST_0_11_0,
LATEST_1_0, LATEST_1_1, LATEST_2_0, LATEST_2_1
+from kafkatest.version import LATEST_0_10_0, LATEST_0_10_1, LATEST_0_10_2, LATEST_0_11_0,
LATEST_1_0, LATEST_1_1,\
+    LATEST_2_0, LATEST_2_1, LATEST_2_2
 
 STATE_DIR = "state.dir"
 
@@ -487,7 +488,7 @@ class StreamsUpgradeTestJobRunnerService(StreamsTestBaseService):
         args = self.args.copy()
         if self.KAFKA_STREAMS_VERSION in [str(LATEST_0_10_0), str(LATEST_0_10_1), str(LATEST_0_10_2),
                                           str(LATEST_0_11_0), str(LATEST_1_0), str(LATEST_1_1),
-                                          str(LATEST_2_0), str(LATEST_2_1)]:
+                                          str(LATEST_2_0), str(LATEST_2_1), str(LATEST_2_2)]:
             args['kafka'] = self.kafka.bootstrap_servers()
         else:
             args['kafka'] = ""
diff --git a/tests/kafkatest/tests/streams/streams_upgrade_test.py b/tests/kafkatest/tests/streams/streams_upgrade_test.py
index d7a4548..37ab770 100644
--- a/tests/kafkatest/tests/streams/streams_upgrade_test.py
+++ b/tests/kafkatest/tests/streams/streams_upgrade_test.py
@@ -24,7 +24,7 @@ from kafkatest.services.streams import StreamsSmokeTestDriverService, StreamsSmo
     StreamsUpgradeTestJobRunnerService
 from kafkatest.services.zookeeper import ZookeeperService
 from kafkatest.version import LATEST_0_10_0, LATEST_0_10_1, LATEST_0_10_2, LATEST_0_11_0,
LATEST_1_0, LATEST_1_1, \
-    LATEST_2_0, LATEST_2_1, DEV_BRANCH, DEV_VERSION, KafkaVersion
+    LATEST_2_0, LATEST_2_1, LATEST_2_2, DEV_BRANCH, DEV_VERSION, KafkaVersion
 
 # broker 0.10.0 is not compatible with newer Kafka Streams versions
 broker_upgrade_versions = [str(LATEST_0_10_1), str(LATEST_0_10_2), str(LATEST_0_11_0), str(LATEST_1_0),
str(LATEST_1_1), str(LATEST_2_0), str(LATEST_2_1), str(DEV_BRANCH)]
@@ -34,7 +34,9 @@ metadata_2_versions = [str(LATEST_0_10_1), str(LATEST_0_10_2), str(LATEST_0_11_0
 # once 0.10.1.2 is available backward_compatible_metadata_2_versions
 # can be replaced with metadata_2_versions
 backward_compatible_metadata_2_versions = [str(LATEST_0_10_2), str(LATEST_0_11_0), str(LATEST_1_0),
str(LATEST_1_1)]
-metadata_3_or_higher_versions = [str(LATEST_2_0), str(LATEST_2_1), str(DEV_VERSION)]
+# If we add a new version below, we also need to add this version to `streams.py`:
+# -> class `StreamsUpgradeTestJobRunnerService`, method `start_cmd`, variable `KAFKA_STREAMS_VERSION`
+metadata_3_or_higher_versions = [str(LATEST_2_0), str(LATEST_2_1), str(LATEST_2_2), str(DEV_VERSION)]
 
 """
 After each release one should first check that the released version has been uploaded to



Mime
View raw message